Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.extractor
Class DummyExtractor.DummyMatching<O>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.extractor.DummyExtractor.DummyMatching<O>

All Implemented Interfaces:
  Matching<O>, Iterable<Matching.Entry<O>>

Enclosing class:
  DummyExtractor

    private final class DummyExtractor.DummyMatching<O>

extends Object
implements Matching<O>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.extractor.matching.Matching
`Matching.Entry<T>`

Field Summary
`(package private) Set<? extends O>` | `src`
`(package private) Set<? extends O>` | `trg`

Constructor Summary
`DummyExtractor.DummyMatching(Set<? extends O> src, Set<? extends O> trg)`

Method Summary
`boolean` | `add(O s, O t)`
`void` | `clear()`
`boolean` | `contains(O s, O t)`
`Iterator<Matching.Entry<O>>` | `iterator()`
`int` | `size()`
`Matching<O>` | `transposeView()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### src

    Set<? extends O> src

### trg

    Set<? extends O> trg

Constructor Detail

### DummyExtractor.DummyMatching

    public DummyExtractor.DummyMatching(Set<? extends O> src,
                                        Set<? extends O> trg)

Method Detail

### add

    public boolean add(O s,
                       O t)

  Specified by:
    `add` in interface `Matching<O>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Matching<O>`

### contains

    public boolean contains(O s,
                            O t)

  Specified by:
    `contains` in interface `Matching<O>`

### size

    public int size()

  Specified by:
    `size` in interface `Matching<O>`

### transposeView

    public Matching<O> transposeView()

  Specified by:
    `transposeView` in interface `Matching<O>`

### iterator

    public Iterator<Matching.Entry<O>> iterator()

  Specified by:
    `iterator` in interface `Iterable<Matching.Entry<O>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009